RaisFastRaisFast

Comments

Comments

GET
/api/v1/admin/comments

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://example.com/api/v1/admin/comments"
Empty
POST
/api/v1/admin/comments/batch

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/admin/comments/batch" \  -H "Content-Type: application/json" \  -d '{    "action": "string",    "ids": [      "string"    ]  }'
Empty
DELETE
/api/v1/admin/comments/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Comment ID

Response Body

curl -X DELETE "https://example.com/api/v1/admin/comments/string"
Empty
PUT
/api/v1/admin/comments/{id}/status

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Comment ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/api/v1/admin/comments/string/status" \  -H "Content-Type: application/json" \  -d '{    "status": "Pending"  }'
Empty
GET
/api/v1/comments

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Response Body

curl -X GET "https://example.com/api/v1/comments"
Empty
DELETE
/api/v1/comments/{id}

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Comment ID

Response Body

curl -X DELETE "https://example.com/api/v1/comments/string"
Empty
PUT
/api/v1/comments/{id}/status

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Comment ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/api/v1/comments/string/status" \  -H "Content-Type: application/json" \  -d '{    "status": "Pending"  }'
Empty
GET
/api/v1/posts/{slug}/comments

Path Parameters

slug*string

Post slug

Response Body

curl -X GET "https://example.com/api/v1/posts/string/comments"
Empty
POST
/api/v1/posts/{slug}/comments

Path Parameters

slug*string

Post slug

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/posts/string/comments" \  -H "Content-Type: application/json" \  -d '{    "content": "string"  }'
Empty
POST
/api/v1/posts/{slug}/comments/authed

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

slug*string

Post slug

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/api/v1/posts/string/comments/authed" \  -H "Content-Type: application/json" \  -d '{    "content": "string"  }'
Empty